List Asset Types
curl --request GET \
--url https://api.us.lexful.app/v1/asset_types \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <api-key>'import requests
url = "https://api.us.lexful.app/v1/asset_types"
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};
fetch('https://api.us.lexful.app/v1/asset_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"account_id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"name": "system.contact",
"display_name": "Contacts",
"description": "Contacts are people and identities associated with an organization",
"is_system": true,
"properties": [
{
"name": "first_name",
"type": "string",
"display_name": "First Name",
"required": false
},
{
"name": "last_name",
"type": "string",
"display_name": "Last Name",
"required": false
},
{
"name": "title",
"type": "string",
"display_name": "Title",
"required": false
},
{
"name": "important",
"type": "boolean",
"display_name": "Important",
"required": true
},
{
"name": "contact_type",
"type": "string",
"display_name": "Contact Type",
"required": false,
"enum": [
"Approver",
"Champion",
"Decision Maker",
"End User",
"Evaluator",
"Influencer",
"Owner",
"Other"
]
},
{
"name": "contact_methods",
"type": "array",
"display_name": "Contact Methods",
"required": false,
"array": {
"type": "object",
"properties": [
{
"name": "type",
"type": "string",
"display_name": "Contact Method Type",
"required": true,
"enum": [
"Phone",
"Fax",
"Mobile",
"Email",
"Website",
"Twitter",
"LinkedIn",
"Other"
]
},
{
"name": "value",
"type": "string",
"display_name": "Contact Method Value",
"required": true
}
]
}
},
{
"name": "preferred_contact_method",
"type": "string",
"display_name": "Preferred Contact Method",
"required": false,
"enum": [
"Phone",
"Fax",
"Mobile",
"Email",
"Website",
"Twitter",
"LinkedIn",
"Other"
]
},
{
"name": "notes",
"type": "richtext",
"display_name": "Notes",
"required": false
}
],
"references": [
{
"name": "location",
"display_name": "Location",
"required": false,
"multiple": false,
"target_asset_types": [
"system.location"
]
}
],
"version": 1,
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-15T10:30:00.000Z",
"created_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"updated_by": "019983a9-c4c0-73af-aec9-463feeadc2e7"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Asset Types
List Asset Types
List all asset types with optional filters and pagination
GET
/
v1
/
asset_types
List Asset Types
Authorizations
Bearer token
Account ID
Query Parameters
Filter by one or more asset type names
Filter by display name
Filter by system asset type flag
Include soft-deleted asset types and properties (default: false)
Required range:
1 <= x <= 1000Required range:
x >= 0Was this page helpful?
⌘I